math.h File Reference

Go to the source code of this file.

## Functions

template<typename _Tp>
_Tp | abs (const complex< _Tp > &)
template<typename _Tp>
std::complex< _Tp > | acos (const std::complex< _Tp > &__z)
template<typename _Tp>
std::complex< _Tp > | asin (const std::complex< _Tp > &__z)
template<typename _Tp>
std::complex< _Tp > | atan (const std::complex< _Tp > &__z)
constexpr float | atan2 (float __y, float __x)
constexpr float | ceil (float __x)
template<typename _Tp>
complex< _Tp > | cos (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | cosh (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | exp (const complex< _Tp > &)
template<typename _Tp>
_Tp | fabs (const std::complex< _Tp > &__z)
constexpr float | floor (float __x)
constexpr float | fmod (float __x, float __y)
float | frexp (float __x, int *__exp)
constexpr float | ldexp (float __x, int __exp)
template<typename _Tp>
complex< _Tp > | log (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | log10 (const complex< _Tp > &)
float | modf (float __x, float *__iptr)
template<typename _Tp>
complex< _Tp > | pow (const complex< _Tp > &, int)
template<typename _Tp>
complex< _Tp > | sin (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | sinh (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | sqrt (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | tan (const complex< _Tp > &)
template<typename _Tp>
complex< _Tp > | tanh (const complex< _Tp > &)

## Detailed Description

This is a Standard C++ Library header.

Definition in file math.h.

## Function Documentation

## abs()

template<typename _Tp>

_Tp std::abs | ( | const complex< _Tp > & | __z | ) |

inline

Return magnitude of z.

Definition at line 630 of file complex.

## acos()

template<typename _Tp>

std::complex< _Tp > std::acos | ( | const std::complex< _Tp > & | __z | ) |

inline

acos(__z) [8.1.2].

Definition at line 1638 of file complex.

## asin()

template<typename _Tp>

std::complex< _Tp > std::asin | ( | const std::complex< _Tp > & | __z | ) |

inline

asin(__z) [8.1.3].

Definition at line 1674 of file complex.

## atan()

template<typename _Tp>

std::complex< _Tp > std::atan | ( | const std::complex< _Tp > & | __z | ) |

inline

atan(__z) [8.1.4].

Definition at line 1718 of file complex.

## atan2()

float std::atan2 | ( | float | __y,
|  | float | __x )

inline constexpr

Definition at line 144 of file cmath.

## ceil()

float std::ceil | ( | float | __x | ) |

inline constexpr

Definition at line 165 of file cmath.

## cos()

template<typename _Tp>

complex< _Tp > std::cos | ( | const complex< _Tp > & | __z | ) |

inline

Return complex cosine of z.

Definition at line 741 of file complex.

## cosh()

template<typename _Tp>

complex< _Tp > std::cosh | ( | const complex< _Tp > & | __z | ) |

inline

Return complex hyperbolic cosine of z.

Definition at line 771 of file complex.

## exp()

template<typename _Tp>

complex< _Tp > std::exp | ( | const complex< _Tp > & | __z | ) |

inline

Return complex base e exponential of z.

Definition at line 797 of file complex.

## fabs()

template<typename _Tp>

_Tp std::fabs | ( | const std::complex< _Tp > & | __z | ) |

inline

fabs(__z) [8.1.8].

Definition at line 1846 of file complex.

## floor()

float std::floor | ( | float | __x | ) |

inline constexpr

Definition at line 260 of file cmath.

## fmod()

float std::fmod | ( | float | __x,
|  | float | __y )

inline constexpr

Definition at line 279 of file cmath.

## frexp()

float std::frexp | ( | float | __x,
|  | int * | __exp )

inline

Definition at line 300 of file cmath.

## ldexp()

float std::ldexp | ( | float | __x,
|  | int | __exp )

inline constexpr

Definition at line 319 of file cmath.

## log()

template<typename _Tp>

complex< _Tp > std::log | ( | const complex< _Tp > & | __z | ) |

inline

Return complex natural logarithm of z.

Definition at line 824 of file complex.

## log10()

template<typename _Tp>

complex< _Tp > std::log10 | ( | const complex< _Tp > & | __z | ) |

inline

Return complex base 10 logarithm of z.

Definition at line 829 of file complex.

## modf()

float std::modf | ( | float | __x,
|  | float * | __iptr )

inline

Definition at line 376 of file cmath.

## pow()

template<typename _Tp>

complex< _Tp > std::pow | ( | const complex< _Tp > & | __z,
|  | int | __n )

inline

Return x to the y'th power.

Definition at line 1019 of file complex.

## sin()

template<typename _Tp>

complex< _Tp > std::sin | ( | const complex< _Tp > & | __z | ) |

inline

Return complex sine of z.

Definition at line 859 of file complex.

## sinh()

template<typename _Tp>

complex< _Tp > std::sinh | ( | const complex< _Tp > & | __z | ) |

inline

Return complex hyperbolic sine of z.

Definition at line 889 of file complex.

## sqrt()

template<typename _Tp>

complex< _Tp > std::sqrt | ( | const complex< _Tp > & | __z | ) |

inline

Return complex square root of z.

Definition at line 933 of file complex.

## tan()

template<typename _Tp>

complex< _Tp > std::tan | ( | const complex< _Tp > & | __z | ) |

inline

Return complex tangent of z.

Definition at line 960 of file complex.

## tanh()

template<typename _Tp>

complex< _Tp > std::tanh | ( | const complex< _Tp > & | __z | ) |

inline

Return complex hyperbolic tangent of z.

Definition at line 988 of file complex.